./devel/ruby-polyglot, Registry of file types to load with its improved version of require

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.3.5, Package name: ruby200-polyglot-0.3.5, Maintainer: pkgsrc-users

Polyglot provides a registry of file types that can be loaded by calling
its improved version of 'require'. Each file extension that can be handled
by a custom loader is registered by callingPolyglot.register("ext", <class>),
and then you can simply require "somefile", which will find and load
"somefile.ext" using your custom loader.


Required to run:
[lang/ruby200-base]

Master sites:

SHA1: 7fcefa7d3b605d9c51304a4d65e0b8fae04970de
RMD160: 8f5260ffec2774621d474a40824ae24bc806112e
Filesize: 8 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-02-01 17:20:29 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-polyglot to 0.3.5.

Added handling for dot-relative requires.
   2014-03-14 17:23:20 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-polyglot to 0.3.4.

* Added handling for dot-relative requires.
   2013-09-09 14:29:26 by Filip Hajny | Files touched by this commit (9)
Log message:
Resign as maintainer (not really using Ruby at all any more).
   2012-10-31 12:19:55 by Aleksej Saushev | Files touched by this commit (1460)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2011-12-15 16:09:31 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-polyglot pacakge to 0.3.3.

Changes are unknown.
   2011-08-12 18:33:05 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update devel/ruby-polyglot pacakge to 0.3.2.

== 0.3.2 2011-07-27

* 1 minor fix:
  * Load file without extension if found exactly as required
   2011-06-08 16:06:07 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
No need to depends on devel/hoe.

Bump PKGREVISION.